./autogen.sh suddenly stops

You can get help here if Freeciv doesn't start on your computer, or if you keep getting fatal errors while playing etc.
jayjayjay
Posts: 2
Joined: Thu Aug 30, 2018 3:04 pm

./autogen.sh suddenly stops

Postby jayjayjay » Thu Aug 30, 2018 3:10 pm

I installed all dependencies using homebrew. I got this when running ./autogen.sh. For some reason the DIE variable in autogen.sh is equal to 1.

Code: Select all

./autogen.sh --disable-nls
! nls checks disabled
+ checking for autoconf >= 2.65 ... found 2.69, ok.
+ checking for autoheader >= 2.65 ... found 2.69, ok.
+ checking for automake >= 1.11.3 ... found 1.16.1, ok.
+ checking for aclocal >= 1.11.3 ... found 1.16.1, ok.
+ checking for libtoolize >= 2.2 ...
You must have libtoolize installed to compile freeciv.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/libtool/
+ checking for glibtoolize >= 2.2 ...
+ checking for python ... found 2.7.10, ok.

User avatar
mir3x
Veteran
Posts: 110
Joined: Sat Jan 30, 2016 6:17 pm

Re: ./autogen.sh suddenly stops

Postby mir3x » Fri Aug 31, 2018 1:01 am

You must have libtoolize installed to compile freeciv.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/libtool/


It probably stops because you miss libtool ?

cazfi
Elite
Posts: 1724
Joined: Tue Jan 29, 2013 6:54 pm

Re: ./autogen.sh suddenly stops

Postby cazfi » Fri Aug 31, 2018 1:24 am

It's a recent (and not well tested) change that it also checks for glibtoolize (as an alternative name for libtoolize) on Mac.

jayjayjay
Posts: 2
Joined: Thu Aug 30, 2018 3:04 pm

Re: ./autogen.sh suddenly stops

Postby jayjayjay » Fri Aug 31, 2018 2:15 pm

I did notice, but I solved the problem by commenting out the if die exit 1 lines.